Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoArray

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>
              com.nativelibs4java.mono.MonoArray

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>>

Direct Known Subclasses:
  MonoArray.ByReference, MonoArray.ByValue

    public class MonoArray

extends Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>

native declaration : mono\metadata\object.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoArray.ByReference`
`static class` | `MonoArray.ByValue`

Field Summary
`MonoArrayBounds.ByReference` | `bounds`
`int` | `max_length`
`MonoObject` | `obj`
`double[]` | `vector`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoArray()`
`MonoArray(MonoObject obj, MonoArrayBounds.ByReference bounds, int max_length, double[] vector)`

Method Summary
`protected MonoArray.ByReference` | `newByReference()`
`protected MonoArray.ByValue` | `newByValue()`
`protected MonoArray` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### obj

    public MonoObject obj

### bounds

    public MonoArrayBounds.ByReference bounds

### max_length

    public int max_length

### vector

    public double[] vector

Constructor Detail

### MonoArray

    public MonoArray()

### MonoArray

    public MonoArray(MonoObject obj,
                     MonoArrayBounds.ByReference bounds,
                     int max_length,
                     double[] vector)

Parameters:
  `bounds` - bounds is NULL for szarrays
  `max_length` - total number of elements of the array
  `vector` - we use double to ensure proper alignment on platforms that need it

Method Detail

### newByReference

    protected MonoArray.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>`

### newByValue

    protected MonoArray.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>`

### newInstance

    protected MonoArray newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoArray,MonoArray.ByValue,MonoArray.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD